MsWks4Text::DataFOD Struct Reference

structure which retrieves data information which correspond to a text position More...

`#include <MsWks4Text.hxx>`

## Public Types

enum | Type { ATTR_TEXT , ATTR_PARAG , ATTR_PLC , ATTR_UNKN }
| different type which can be associated to a text position More...

## Public Member Functions

| DataFOD ()
| the constructor

## Public Attributes

Type | m_type
| the type of the attribute
long | m_pos
| the offset position of the text modified by this attribute
long | m_defPos
| the offset position of the definition of the attribute in the file
int | m_id
| an identificator (which must be unique by category)

## Detailed Description

structure which retrieves data information which correspond to a text position

## Member Enumeration Documentation

## Type

enum MsWks4Text::DataFOD::Type

different type which can be associated to a text position

ATTR_TEXT: all text attributes (font, size, ...) ATTR_PARAG: all paragraph attributes (margin, tabs, ...) ATTR_PLC: other attribute (note, fields ... )

Enumerator
ATTR_TEXT |
ATTR_PARAG |
ATTR_PLC |
ATTR_UNKN |

## Constructor & Destructor Documentation

## DataFOD()

MsWks4Text::DataFOD::DataFOD | ( |  | ) |

inline

the constructor

## Member Data Documentation

## m_defPos

long MsWks4Text::DataFOD::m_defPos

the offset position of the definition of the attribute in the file

Referenced by DataFOD().

## m_id

int MsWks4Text::DataFOD::m_id

an identificator (which must be unique by category)

Referenced by DataFOD(), and MsWks4Text::readText().

## m_pos

long MsWks4Text::DataFOD::m_pos

the offset position of the text modified by this attribute

Referenced by DataFOD(), MsWks4Text::mergeSortedLists(), MsWks4Text::readFDP(), MsWks4Text::readPLC(), and MsWks4Text::readText().

## m_type

Type MsWks4Text::DataFOD::m_type

the type of the attribute

Referenced by DataFOD(), MsWks4Text::readFDP(), MsWks4Text::readPLC(), and MsWks4Text::readText().

The documentation for this struct was generated from the following file:

- MsWks4Text.hxx